---
fail_fast: false

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.5.0
    hooks:
      - id: check-yaml
        args:
          - --unsafe
        exclude: deploy/helm/account/templates/
      - id: check-toml
      - id: end-of-file-fixer
      - id: trailing-whitespace
        exclude: \.md

  - repo: local
    hooks:
      - id: lint
        name: Lint
        entry: make lint
        types: [python]
        language: system
        pass_filenames: false
